Skip to content

List distributors ​

GET
/v1/distributors/list

Gets a list of distributors

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
distributor_id

distributor_id id to filter on

Type
string
query

Search by hashkey, name, or administrative email

Type
string
distributor_name

Filter by distributor name only

Type
string
distributor_status

Enum: disabled, grace_period, wait_activation, active, wait_approval

Type
string
business_segment

Enum: small, medium, large

Type
string
payment_segment

Enum: red, white, yellow, green, darkgreen

Type
string
iso_country

Country of distributor in iso format

Type
string
role

Filter distributors by role name (e.g., 'api', 'portal')

Type
string

Responses​

OK

application/json
JSON
{
  
"distributors": [
  
  
{
  
  
  
"account_type": null,
  
  
  
"administrative_email": null,
  
  
  
"business_segment": null,
  
  
  
"created": null,
  
  
  
"distributor_id": null,
  
  
  
"distributor_name": null,
  
  
  
"distributor_status": null,
  
  
  
"distributor_supplier_status": null,
  
  
  
"fixed_fee": null,
  
  
  
"iso_country": null,
  
  
  
"thirty_day_limit": null,
  
  
  
"sixty_day_limit": null,
  
  
  
"ninety_day_limit": null,
  
  
  
"total_deferred_limit": null,
  
  
  
"total_invoice_limit": null,
  
  
  
"payment_segment": null,
  
  
  
"sandbox_only": null,
  
  
  
"see_own_supplier_tickets": null,
  
  
  
"slug": null,
  
  
  
"updated": null,
  
  
  
"supplier_id": null,
  
  
  
"sports_enabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"sports_disabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"payment_condition": null,
  
  
  
"ticket_sales_volume": null,
  
  
  
"distribution_channel_type": null,
  
  
  
"distributor_metadata": {
  
  
  
  
"additionalProperties": "string"
  
  
  
}
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​